GtkIMHtml Signals

Signals:

- url_clicked
- format_buttons_update
- format_function_clear
- format_function_toggle
- format_function_update
- paste

See also
  gtkimhtml.h

# url_clicked

void (*url_clicked)(GtkIMHtml *imhtml, char *uri);

Description: Emitted when a link is clicked

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  url | The uri.

# format_buttons_update

void (*format_buttons_update)(GtkIMHtml *imhtml, GtkIMHtmlButtons buttons, gpointer data);

Description: Emitted when allowed formatting has changed.

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  buttons | GtkIMHtmlButtons for the GtkIMHtml.
  data | User defined data.

# format_function_clear

void (*format_function_clear)(GtkIMHtml *imhtml, gpointer data);

Description: Emitted when clearing the formatting for the GtkIMHtml.

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  data | User defined data.

# format_function_toggle

void (*format_function_toggle)(GtkIMHtml *imhtml, GtkIMHtmlButtons buttons, gpointer data);

Description: Emitted when a format has been toggled.

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  buttons | GtkIMHtmlButtons for the GtkIMHtml.
  data | User defined data.

# format_function_update

void (*format_function_update)(GtkIMHtml *imhtml, gpointer data);

Description: Emitted when the cursor has moved and formatting has changed

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  data | User defined data.

# paste

void (*paste) (GtkIMHtml *imhtml, char *format)

Description: Emitted when paste from the clipboard is requested.

Parameters

  imhtml | The GtkIMHtml emitting the signal.
  format | If 'text', then the formatting of the clipboard content will be removed before pasting. If empty or 'html', then the formatting will not be removed. Any other value for this parameter is ignored and nothing is pasted.

GtkIMHtmlButtons
GtkIMHtmlButtons
Definition: gtkimhtml.h:68
_GtkIMHtml
Definition: gtkimhtml.h:92